{
  name: "Mesmerizer",
  num: -6001,
  accuracy: 100,
  basePower: 90,
  category: "Special",
  pp: 10,
  priority: 0,
  flags: { protect: 1, sound: 1, mirror: 1, metronome: 1 },
  secondary: null,
  onHit(target, source, move) {
    if (source.species.id === "meloettadelta") {
      source.formeChange("meloettadelta_allegro", this.effect, true);
      this.add("-form", source, "meloettadelta_allegro", "[from] move: Mesmerizer");
    } else if (source.species.id === "meloettadelta_allegro") {
      source.formeChange("meloettadelta", this.effect, true);
      this.add("-form", source, "meloettadelta", "[from] move: Mesmerizer");
    }
  },
  target: "normal",
  type: "Water",
  contestType: "Beautiful"
}
